<template>
  <app-sign-in/>
</template>

<script setup lang="ts">
  import { useUserAuth } from "~/composable/user/useUserAuth";

  const {user} = useUserAuth()
  const router = useRouter()

  watch(user, (userVal) => {
    if (userVal) {
      router.replace('/')
    }
  }, { immediate: true })
</script>